﻿/* 
    PASS Virtual Group Global Portuguese
    SQL Curiosities: A Curiosidade Matou O Gato
    2017-04-18 (version 1.01)
    Demo - The strange repeating cat crowder
    André Melancia
    http://Andy.PT

    (C) 2016-2017, André Melancia


                       /^--^\     /^--^\     /^--^\
                       \____/     \____/     \____/
                      /      \   /      \   /      \
                     |        | |        | |        |
                      \__  __/   \__  __/   \__  __/
 |^|^|^|^|^|^|^|^|^|^|^|^\ \^|^|^|^/ /^|^|^|^|^\ \^|^|^|^|^|^|^|^|^|^|^|^|
 | | | | | | | | | | | | |\ \| | |/ /| | | | | | \ \ | | | | | | | | | | |
 ########################/ /######\ \###########/ /#######################
 | | | | | | | | | | | | \/| | | | \/| | | | | |\/ | | | | | | | | | | | |
 |_|_|_|_|_|_|_|_|_|_|_|_|_|_|_|_|_|_|_|_|_|_|_|_|_|_|_|_|_|_|_|_|_|_|_|_|



*/


--  +----------------------------------------------------------------+
--  | FELINE TASKS                                                   |
--  +----------------------------------------------------------------+

    -- WARNING: Run these scripts on an EMPTY database!

    -- INSTRUCTIONS: Object creation scripts are at the end.
	--               Run one statement at a time.
    

--  +----------------------------------------------------------------+
--  | Sharpening the claws                                           |
--  +----------------------------------------------------------------+

    USE PUSSYCAT_CLOWDER;   -- Or whatever database you created!
                            -- Please don't run this on the Master, that's
                            -- just ugly!
    GO


    -- Altoug they usually have 9 lives, we're going to kill them faster...
	-- Note: "IF EXISTS" are ugly. First time these will generate errors
    --       Just accept the errors as part of a 9-lives feline's living ;)

	

--  +----------------------------------------------------------------+
--  | The strange repeating cat crowder                              |
--  +----------------------------------------------------------------+

    -- Credits:
	-- Based on SQL Revenge by Rob Volk 


	-- Get Cats table structure
    EXEC SP_Help 'Cats';
	

	-- Get stuff from one Cats table
	SELECT *  FROM Cats        ;


	-- Get stuff from all Cats tables!
	EXEC SP_MSForEachTable "SELECT * FROM ?;" 


	-- Now let's see one at a time...
	SELECT *  FROM [Cats    ];



--  +----------------------------------------------------------------+
--  | Playtime is over.                                              |
--  | Now it's time for a cat nap!                                   |
--  +----------------------------------------------------------------+











--  +----------------------------------------------------------------+
--  | Worky, worky, here are the creation/destruction scripts        |
--  +----------------------------------------------------------------+

    -- Credits:
	-- Based on SQL Revenge by Rob Volk 

    DROP   TABLE dbo.[Cats];
	DROP   TABLE dbo.[Cats ];
	DROP   TABLE dbo.[Cats  ];
	DROP   TABLE dbo.[Cats   ];
	DROP   TABLE dbo.[Cats    ];
	DROP   TABLE dbo.[Cats     ];
	DROP   TABLE dbo.[Cats      ];
	DROP   TABLE dbo.[Cats       ];
	DROP   TABLE dbo.[Cats        ];

    CREATE TABLE dbo.[Cats]         (CatID INT NOT NULL);
    CREATE TABLE dbo.[Cats ]        (CatID INT NOT NULL);
    CREATE TABLE dbo.[Cats  ]       (CatID INT NOT NULL);
    CREATE TABLE dbo.[Cats   ]      (CatID INT NOT NULL);
    CREATE TABLE dbo.[Cats    ]     (CatID INT NOT NULL);
    CREATE TABLE dbo.[Cats     ]    (CatID INT NOT NULL);
    CREATE TABLE dbo.[Cats      ]   (CatID INT NOT NULL);
    CREATE TABLE dbo.[Cats       ]  (CatID INT NOT NULL);
    CREATE TABLE dbo.[Cats        ] (CatID INT NOT NULL);

	INSERT INTO  dbo.[Cats]         (CatID) VALUES (1);
	INSERT INTO  dbo.[Cats ]        (CatID) VALUES (2);
	INSERT INTO  dbo.[Cats  ]       (CatID) VALUES (3);
	INSERT INTO  dbo.[Cats   ]      (CatID) VALUES (4);
	INSERT INTO  dbo.[Cats    ]     (CatID) VALUES (5);
	INSERT INTO  dbo.[Cats     ]    (CatID) VALUES (6);
	INSERT INTO  dbo.[Cats      ]   (CatID) VALUES (7);
	INSERT INTO  dbo.[Cats       ]  (CatID) VALUES (8);
	INSERT INTO  dbo.[Cats        ] (CatID) VALUES (9);

	
--  +----------------------------------------------------------------+
--  | Now it's really over...                                        |
--  +----------------------------------------------------------------+
